Create a new consignment note

Path Parameters
  • consignmentId
    Type: stringFormat: uuid
    required
Body·
application/json
  • attachments
    Type: array object[] ·

    A collection of files attached to the note.

  • displayOnPrintOut
    Type: boolean

    Whether the note will be included when the consignment is exported or printed.

  • note
    Type: string | null

    A short string which makes up the body of the note.

Responses
  • application/json
Request Example for post/v1/consignments/{consignmentId}/notes
curl https://api.consignlyhq.com/v1/consignments/123e4567-e89b-12d3-a456-426614174000/notes \
  --request POST \
  --header 'Content-Type: application/json' \
  --data '{
  "note": null,
  "displayOnPrintOut": true,
  "attachments": [
    {
      "fileName": null,
      "contentType": null,
      "content": null,
      "options": {
        "printType": "enum (Label = 1, Document = 2)"
      }
    }
  ]
}'
123e4567-e89b-12d3-a456-426614174000